Name:           ruby-augeas
Version:        0.5.0
Release:        8%{?dist}.1
Summary:        Ruby bindings for Augeas
Group:          Development/Languages

License:        LGPLv2+
URL:            http://augeas.net
Source0:        http://download.augeas.net/ruby/ruby-augeas-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby rubygem(rake) rubygem(minitest)
BuildRequires:  rubygem(rdoc)
BuildRequires:  ruby-devel
BuildRequires:  augeas-devel >= 1.0.0
BuildRequires:  pkgconfig
Requires:       ruby(release)
Requires:       augeas-libs >= 1.0.0
Provides:       ruby(augeas) = %{version}

%description
Ruby bindings for augeas.

%prep
%setup -q


%build
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
rake build

%install
rm -rf %{buildroot}
install -d -m0755 %{buildroot}%{ruby_vendorlibdir}
install -d -m0755 %{buildroot}%{ruby_vendorarchdir}
install -p -m0644 lib/augeas.rb %{buildroot}%{ruby_vendorlibdir}
install -p -m0755 ext/augeas/_augeas.so %{buildroot}%{ruby_vendorarchdir}

# lhh - testrb is not available on RHEL8
#%check
#testrb tests/tc_augeas.rb

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README.rdoc NEWS
%{ruby_vendorlibdir}/augeas.rb
%{ruby_vendorarchdir}/_augeas.so


%changelog
* Tue Dec 22 2020 CPaaS User <cpaas-ops@redhat.com> - 0.5.0-8.1
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 0.5.0-8
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 0.5.0-7
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com> - 0.5.0-6
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 0.5.0-5
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 0.5.0-4
- rebuilt

* Wed Mar 06 2019 Lon Hohberger <lon@redhat.com> - 0.5.0-3
- Rebuild for new architectures

* Mon Jan 28 2019 Lon Hohberger <lon@redhat.com> - 0.5.0-2
- Require rubygem-rdoc to build
- Drop tests; RHEL8 doesn't have testrb

* Wed Mar 13 2013 David Lutterkort <lutter@redhat.com> - 0.5.0-1
- New version; updated spec file for latest guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 07 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.1-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Mar 29 2011 David Lutterkort <lutter@redhat.com> - 0.4.1-1
- New version

* Tue Mar 29 2011 David Lutterkort <lutter@redhat.com> - 0.4.0-1
- Require augeas-0.8.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 12 2009 David Lutterkort <lutter@redhat.com> - 0.3.0-1
- New version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 26 2008 David Lutterkort <dlutter@redhat.com> - 0.2.0-1
- New version

* Fri May  9 2008 David Lutterkort <dlutter@redhat.com> - 0.1.0-1
- Fixed up in accordance with Fedora guidelines

* Mon Mar 3 2008 Bryan Kearney <bkearney@redhat.com> - 0.0.1-1
- Initial specfile
